更新 notificationMessageTemplate
命名空间:microsoft.graph
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
更新 notificationMessageTemplate 对象的属性。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementServiceConfig.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementServiceConfig.ReadWrite.All |
HTTP 请求
PATCH /deviceManagement/notificationMessageTemplates/{notificationMessageTemplateId}
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
在请求正文中,提供 notificationMessageTemplate 对象的 JSON 表示形式。
下表显示创建 notificationMessageTemplate 时所需的属性。
| 属性 | 类型 | 说明 |
|---|---|---|
| id | String | 实体的键。 |
| lastModifiedDateTime | DateTimeOffset | 上次修改对象的日期/时间。 |
| displayName | String | 通知消息模板的显示名称。 |
| defaultLocale | String | 请求的区域设置不可用时要回退到的默认区域设置。 |
| brandingOptions | notificationTemplateBrandingOptions | 消息模板品牌选项。 已在 Intune 管理员控制台中定义品牌。 可取值为:none、includeCompanyLogo、includeCompanyName、includeContactInformation、includeDeviceDetails。 |
响应
如果成功,此方法在响应正文中返回 200 OK 响应代码和更新的 notificationMessageTemplate 对象。
示例
请求
下面是一个请求示例。
PATCH https://graph.microsoft.com/v1.0/deviceManagement/notificationMessageTemplates/{notificationMessageTemplateId}
Content-type: application/json
Content-length: 197
{
"@odata.type": "#microsoft.graph.notificationMessageTemplate",
"displayName": "Display Name value",
"defaultLocale": "Default Locale value",
"brandingOptions": "includeCompanyLogo"
}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 310
{
"@odata.type": "#microsoft.graph.notificationMessageTemplate",
"id": "e1db399b-399b-e1db-9b39-dbe19b39dbe1",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"displayName": "Display Name value",
"defaultLocale": "Default Locale value",
"brandingOptions": "includeCompanyLogo"
}
反馈
提交和查看相关反馈